This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 559213 - Review Request: sugar-typing-turtle - A multilingual animated touch typing trainer
Review Request: sugar-typing-turtle - A multilingual animated touch typing tr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks: SOAS-3
  Show dependency treegraph
 
Reported: 2010-01-27 08:27 EST by Sebastian Dziallas
Modified: 2010-03-01 20:11 EST (History)
3 users (show)

See Also:
Fixed In Version: sugar-typing-turtle-26-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-28 09:44:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cwickert: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sebastian Dziallas 2010-01-27 08:27:04 EST
Spec URL: http://sdz.fedorapeople.org/rpmbuild/sugar-typing-turtle.spec
SRPM URL: http://sdz.fedorapeople.org/rpmbuild/sugar-typing-turtle-26-1.fc12.src.rpm

Description: This is another activity for the SoaS effort.
Koji Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1948120
Comment 1 Christoph Wickert 2010-02-24 19:34:07 EST
FIX - MUST: $ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/sugar-typing-turtle-26-1.fc14.*
sugar-typing-turtle.noarch: W: non-standard-group Sugar/Activities
sugar-typing-turtle.noarch: W: hidden-file-or-dir /usr/share/sugar/activities/TypingTurtle.activity/.pydevproject
sugar-typing-turtle.noarch: W: hidden-file-or-dir /usr/share/sugar/activities/TypingTurtle.activity/.project
sugar-typing-turtle.src: W: non-standard-group Sugar/Activities
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

The 'non-standard-group' warnings can be ignored, but the hidden files should be removed. These are leftovers from eclipse.

OK - MUST: named according to the Package Naming Guidelines
OK - MUST: spec file name matches the base package %{name}
OK - MUST: package meets the Packaging Guidelines
OK - MUST: Fedora approved license and meets the Licensing Guidelines (GPLv3+)
OK - MUST: License field in spec file matches the actual license
OK - MUST: license file included in %doc
OK - MUST: spec is in American English
OK - MUST: spec is legible
OK - MUST: sources match the upstream source by MD5 93c7c18de6d81a18dbf47279ee5e9c69
OK - MUST: successfully compiles and builds into binary rpms on x86_64 (noarch)
N/A - MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
OK - MUST: all build dependencies are listed in BuildRequires.
OK - MUST: handles locales properly with %find_lang
N/A - MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
OK - MUST: Package does not bundle copies of system libraries.
N/A - MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
OK - MUST: owns all directories that it creates (none)
OK - MUST: no duplicate files in the %files listing
OK - MUST: Permissions on files are set properly, includes %defattr(...)
OK - MUST: package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
OK - MUST: consistently uses macros
OK - MUST: package contains code, or permissible content
N/A - MUST: Large documentation files should go in a -doc subpackage
OK - MUST: Files included as %doc do not affect the runtime of the application
N/A - MUST: Header files must be in a -devel package
N/A - MUST: Static libraries must be in a -static package
N/A - MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
N/A - MUST: If a package contains library files with a suffix, then library files that end in .so must go in a -devel package.
N/A - MUST: devel packages must require the base package using a fully versioned dependency
OK - MUST: The package does not contain any .la libtool archives.
N/A - MUST: Packages containing GUI applications must include a %{name}.desktop file.
OK - MUST: package does not own files or directories already owned by other packages.
OK - MUST: at the beginning of %install, the package runs rm -rf RPM_BUILD_ROOT.
OK - MUST: all filenames valid UTF-8


SHOULD Items:
OK - SHOULD: Source package includes license text(s) as a separate file.
N/A - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
OK - SHOULD: builds in mock.
OK - SHOULD: compiles and builds into binary rpms on all supported architectures.
OK - SHOULD: functions as described.
N/A - SHOULD: Scriptlets are used, those scriptlets must be sane.
N/A - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A - SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg
N/A - SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.


Other items:
OK - latest stable version
OK - SourceURL valid
OK - Compiler flags ok


Issues:
- the command to install the package should be
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
instead of
python ./setup.py install --prefix=$RPM_BUILD_ROOT/%{_prefix}

- remove the hidden files.

These are not blockers, so the package is APPROVED.
Comment 2 Sebastian Dziallas 2010-02-25 11:19:53 EST
New Package CVS Request
=======================
Package Name: sugar-typing-turtle
Short Description: A multilingual animated touch typing trainer
Owners: sdz
Branches: F-11 F-12 F-13
Comment 3 Jason Tibbitts 2010-02-25 12:46:38 EST
CVS done (by process-cvs-requests.py).
Comment 4 Fedora Update System 2010-02-27 16:26:46 EST
sugar-typing-turtle-26-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/sugar-typing-turtle-26-2.fc12
Comment 5 Fedora Update System 2010-02-27 16:26:52 EST
sugar-typing-turtle-26-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/sugar-typing-turtle-26-2.fc13
Comment 6 Fedora Update System 2010-02-27 16:26:57 EST
sugar-typing-turtle-26-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/sugar-typing-turtle-26-2.fc11
Comment 7 Sebastian Dziallas 2010-02-27 16:31:45 EST
(In reply to comment #1)

[...]

> Issues:
> - the command to install the package should be
> %{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
> instead of
> python ./setup.py install --prefix=$RPM_BUILD_ROOT/%{_prefix}

We discussed this on IRC; it seems like the setup.py file has issues with this invocation.

> - remove the hidden files.

Done before importing!

> These are not blockers, so the package is APPROVED.    

Thanks for the review... :)
Comment 8 Fedora Update System 2010-02-28 09:44:37 EST
sugar-typing-turtle-26-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-03-01 20:01:01 EST
sugar-typing-turtle-26-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-03-01 20:11:24 EST
sugar-typing-turtle-26-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.